[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TPopupMenu.AutoPopup

Indicates if the pop-up is displayed when the mouse hovers over the component for the pop-up menu.

## Declaration

Source position: menus.pp line 491

`published property TPopupMenu.AutoPopup : Boolean read FAutoPopup write FAutoPopup default True;`

## Description

AutoPopUp determines whether the pop-menu is automatically displayed when the mouse is hovered over the PopupComponent for the menu. Its value can be used in the implementing component to determine whether the PopUp method should be called. The default value for the property is True.

## See also

TPopUpMenu.PopupComponent |  | Component to which the pop-up menu is attached.
TPopUpMenu.PopUp |  | Displays the pop-up menu.
ActivePopupMenu |  | Unit global variable which represents the active pop-up menu.